/****************************************************************************
 * interface.h                                                              *
 * Arquivo de header para a interface                                       *
 ****************************************************************************/

#ifndef INTERFACE
#define INTERFACE

#include <GL/glut.h>

#define PASSO 10
#define SEG1 20
#define SEG5 30
#define SEG25 40
#define NO_DELAY 50
#define NONE 60

void display(void);

void reset();

void keyboard (unsigned char key, int x, int y);

void mouse(int btn, int state, int x, int y);

void reshape(int w, int h);

void choice_selected (int value);

void inicializa_interface(reta * retas);

void insere_interseccao(ponto * p, int passo, reta * A, reta * B);
void insere_reta_morta(int passo, reta * A);
void insere_comparacao_reta(int passo, reta * A, reta * B);
void insere_varredura(int passo, double x);


#endif
